###

###

###

###

###

###

###

    ASSERT(3)           Linux Programmer's Manual           ASSERT(3)

    NAME
           assert - Abort the program if assertion is false.

    SYNOPSIS
           #include <assert.h>

           void assert (int expression);

    DESCRIPTION
           assert()  prints  an  error message to standard output and
           terminates the program by calling abort() if expression is
           false  (i.e.,  compares equal to zero).  This only happens
           when the macro NDEBUG is undefined.

    RETURN VALUE
           No value is returned.

    CONFORMS TO
           ANSI - C

    BUGS
           assert() is implemented as  a  macro;  if  the  expression
           tested  has side - effects, program behaviour will be dif-
           ferent depending on whether NDEBUG is  defined.  This  may
           create  Heisenbugs  which go away when debugging is turned
           on.

### SEE ALSO

exit, abort,

###

    GNU                       April 4, 1993                         1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0